<form class="form-group" [formGroup]="generalForm">
  <fieldset>
    <div class="row">
      <div class="col-sm-4 col-xs-12">
        <label>Branch</label>
        <select class="form-control" [value]="0" formControlName="branch">
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let option of branchDropdownOptions"
            [value]="option.id"
            >{{ option.title }}</option
          >
        </select>
        <div class="error-msg" *ngIf="formErrors.branch">
          {{ formErrors.branch }}
        </div>
      </div>

      <div class="col-sm-4 col-xs-12">
        <label>Location</label>
        <select class="form-control" [value]="0" formControlName="location">
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let option of locationDropdownOptions"
            [value]="option.id"
            >{{ option.title }}</option
          >
        </select>
        <div class="error-msg" *ngIf="formErrors.location">
          {{ formErrors.location }}
        </div>
      </div>
    </div>
  </fieldset>

  <fieldset>
    <legend>Personal</legend>
    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "FIRST_NAME" | translate }}</label>
        <input class="form-control" formControlName="firstName" />
        <div class="error-msg" *ngIf="formErrors.firstName">
          {{ formErrors.firstName }}
        </div>
      </div>
      <div class="field-item mr-3">
        <label>{{ "MIDDLE_NAME" | translate }}</label>
        <input class="form-control" formControlName="middleName" />
        <div class="error-msg" *ngIf="formErrors.middleName">
          {{ formErrors.middleName }}
        </div>
      </div>
      <div class="field-item">
        <label>{{ "LAST_NAME" | translate }}</label>
        <input class="form-control" formControlName="lastName" />
        <div class="error-msg" *ngIf="formErrors.lastName">
          {{ formErrors.lastName }}
        </div>
      </div>
    </div>

    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "GENDER" | translate }}</label>
        <input class="form-control" formControlName="gender" />
      </div>

      <div class="field-item mr-3">
        <label>{{ "DOB" | translate }}</label>
        <input
          class="form-control"
          formControlName="dateOfBirth"
          bsDatepicker
          [bsConfig]="{ containerClass: 'theme-default' }"
        />
      </div>

      <div class="field-item">
        <label>{{ "SSN" | translate }}</label>
        <input
          class="form-control"
          formControlName="ssn"
          [textMask]="ssnMask"
        />
        <div class="error-msg" *ngIf="formErrors.ssn">{{ formErrors.ssn }}</div>
      </div>
    </div>
  </fieldset>

  <fieldset>
    <legend>Contact</legend>
    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "PHONE_TYPE" | translate }}1</label>
        <select class="form-control" [value]="0" formControlName="phoneType1">
          <option [value]="0" disabled>Select</option>
          <option *ngFor="let option of phoneTypeOptions" [value]="option.id">{{
            option.title
          }}</option>
        </select>
      </div>

      <div class="field-item mr-3">
        <label>{{ "PHONE_NUMBER" | translate }}1</label>
        <input
          class="form-control"
          formControlName="phoneNumber1"
          [textMask]="phoneNumberMask"
        />
      </div>

      <div class="field-item mr-3">
        <label>{{ "PHONE_TYPE" | translate }}2</label>
        <select class="form-control" [value]="0" formControlName="phoneType2">
          <option [value]="0" disabled>Select</option>
          <option *ngFor="let option of phoneTypeOptions" [value]="option.id">{{
            option.title
          }}</option>
        </select>
      </div>

      <div class="field-item">
        <label>{{ "PHONE_NUMBER" | translate }}2</label>
        <input
          class="form-control"
          formControlName="phoneNumber2"
          [textMask]="phoneNumberMask"
        />
      </div>
    </div>
  </fieldset>

  <fieldset>
    <legend>Address</legend>
    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "CITY" | translate }}</label>
        <input class="form-control" formControlName="city" />
      </div>

      <div class="field-item mr-3">
        <label>{{ "STATE" | translate }}</label>
        <select class="form-control" [value]="0" formControlName="state">
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let state of stateDropdownOptions"
            [value]="state.id"
            >{{ state.title }}</option
          >
        </select>
        <div class="error-msg" *ngIf="formErrors.state">
          {{ formErrors.state }}
        </div>
      </div>

      <div class="field-item mr-3">
        <label>{{ "ZIP" | translate }}</label>
        <input
          class="form-control"
          formControlName="zip"
          [textMask]="zipMask"
        />
      </div>

      <div class="field-item">
        <label>{{ "STREET_ADDRESS" | translate }}</label>
        <input class="form-control" formControlName="streetAddress" />
      </div>
    </div>
  </fieldset>

  <fieldset>
    <legend>Other Information</legend>
    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "MARITAL_STATUS" | translate }}</label>
        <select
          class="form-control"
          [value]="0"
          formControlName="maritalStatus"
        >
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let option of maritalStatusDropdownOptions"
            [value]="option.id"
            >{{ option.title }}</option
          >
        </select>
      </div>

      <div class="field-item mr-3">
        <label>{{ "RACE" | translate }}</label>
        <select class="form-control" [value]="0" formControlName="race">
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let option of raceDropdownOptions"
            [value]="option.id"
            >{{ option.title }}</option
          >
        </select>
      </div>

      <div class="field-item">
        <label>{{ "VETERAN_STATUS" | translate }}</label>
        <select
          class="form-control"
          [value]="0"
          formControlName="veteranStatus"
        >
          <option [value]="0" disabled>Select</option>
          <option
            *ngFor="let option of veteranStatusDropdownOptions"
            [value]="option.id"
            >{{ option.title }}</option
          >
        </select>
      </div>
    </div>
  </fieldset>

  <fieldset>
    <legend>Emergency Contact</legend>
    <div class="fieldset">
      <div class="field-item mr-3">
        <label>{{ "NAME" | translate }}</label>
        <input class="form-control" formControlName="emergencyContactName" />
      </div>

      <div class="field-item mr-3">
        <label>{{ "RELATIONSHIP" | translate }}</label>
        <input
          class="form-control"
          formControlName="emergencyContactRelationship"
        />
      </div>

      <div class="field-item">
        <label>{{ "PHONE_NUMBER" | translate }}</label>
        <input
          class="form-control"
          formControlName="emergencyContactPhoneNumber"
          [textMask]="phoneNumberMask"
        />
      </div>
    </div>
  </fieldset>

  <button class="btn btn-outline-primary" (click)="goBack()">
    <i class="fas fa-angle-left"></i> Back
  </button>
  <button class="btn btn-success pull-right" (click)="onSubmit()">
    Next <i class="fas fa-angle-right"></i>
  </button>
</form>
